package com.hxhq.business.service;

import java.util.List;
import com.hxhq.business.domain.GspRkjl;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hxhq.business.form.gsp.*;
import com.hxhq.business.form.mjy.FfjlSdForm;

/**
 * 供试品入库记录Service接口
 *
 * @author hxhq
 * @date 2025-12-30
 */
public interface IGspRkjlService extends IService<GspRkjl>
{
    /**
     * 查询供试品入库记录列表
     *
     * @param gspRkjl 供试品入库记录
     * @return 供试品入库记录集合
     */
    public List<GspRkjl> queryList(GspSearchListForm gspRkjl);

    /**
     * 供试品入库记录新增
     * @param form 供试品入库记录表单
     */
    void add(GspRkjlForm form);

    /**
     * 编辑供试品入库记录
     * @param form 供试品入库记录表单
     */
    void update(GspRkjlForm form);

    /** 供试品入库记录锁定 */
    void sd(GspSdForm form);

    /** 供试品入库记录解锁 */
    void js(GspJsForm form);

    /** 批量锁定 */
    void plsd(GspSdForm form);

    /** 解档 */
    void jd(GspJdForm form);

    /** 批量归档 */
    void plgd(GspGdForm form);

    /** 归档 */
    void gd(GspGdForm form);

    /** 借阅 */
    void jy(GspJyForm form);

    /** 同意归档 */
    void agreeGd(GspGdForm form);

    /** 拒绝归档 */
    void refuseGd(GspGdForm form);

    /** 同意解档 */
    void agreeJd(GspGdForm form);

    /** 拒绝解档 */
    void refuseJd(GspGdForm form);

    /** 同意借阅 */
    void agreeJy(GspJyForm form);

    /** 拒绝借阅 */
    void refuseJy(GspJyForm form);

    /** 档案确认归还 */
    void archiveGh(GspGdForm form);
}
